﻿@{Layout = "~/Views/Shared/_Layout.cshtml";}
@{ViewBag.Title = "Part Master";}
@*Event Handler*@
@Html.Partial("_PartialScript")

@*Pop Up Control*@
@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "PU_Add";
    settings.CallbackRouteValues = new { Controller = "Part", Action = "SPN311EditPopUpAdd" };
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.AllowDragging = true;
    settings.EnableHotTrack = true;
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(450);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "Add Master Part";
    settings.SetContent(() =>
    {

    });
    settings.ShowFooter = false;
}).GetHtml()

@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "PU_Edit";
    settings.CallbackRouteValues = new { Controller = "Part", Action = "SPN311EditPopUpUpdate" };
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.AllowDragging = true;
    settings.EnableHotTrack = true;
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(450);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "Add Master Part";
    settings.SetContent(() =>
    {

    });
    settings.ShowFooter = false;
}).GetHtml()

@*Menu Bar Control*@
<div class="content">
    <table>
        <tr>
            <td>
                <fieldset style="border:2px;border-style:outset;border-color:Gray;width:400px;height:53px;">
                    <table>
                        <tr>
                            <td style="width: 320px; vertical-align: top">
                                @Html.Partial("_PartialUpload")
                            </td>
                            <td>
                                @Html.DevExpress().Button(Button =>
                                {
                                    Button.Name = "I_Upload";
                                    Button.Text = "Upload";
                                    Button.Width = 90;
                                    //Button.Height = 20;
                                    Button.ClientSideEvents.Click = "UploadData";
                                    Button.Style.Add("display", "inline-table");
                                    Button.UseSubmitBehavior = true;
                                }).GetHtml()
                            </td>
                        </tr>
                        <tr>
                            <td>
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "";
                                }).GetHtml()
                                @Html.DevExpress().HyperLink(Link =>
                                {
                                    Link.Name = "I_DownloadLink";
                                    Link.Properties.Text = "Download Template";
                                    Link.Width = 160;
                                    //Link.Height = 20;
                                    Link.NavigateUrl = "Template/Part_Master_Upload.xls";
                                    //Button.ClientSideEvents.Click = "Upload";
                                    Link.Style.Add("display", "inline-table");
                                }).GetHtml()
                            </td>
                            <td>
                            </td>
                        </tr>
                    </table>
                </fieldset>
            </td>
            <td>
                <fieldset style="border:2px;border-style:outset;border-color:Gray;height:53px;">
                    <table>
                        <tr>
                            <td style="width: 55px">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "Part No";
                                }).GetHtml()
                            </td>
                            <td style="width: 170px">
                                @Html.DevExpress().TextBox(
                                TextBox =>
                                {
                                    TextBox.Name = "I_PartNo";
                                    TextBox.Properties.EnableClientSideAPI = true;
                                    TextBox.Width = 150;
                                }).GetHtml()
                            </td>
                            <td style="width: 120px">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "Car Family Code";
                                }).GetHtml()
                            </td>
                            <td style="width: 170px">
                                @Html.DevExpress().TextBox(
                                TextBox =>
                                {
                                    TextBox.Name = "I_CarFamilyCd";
                                    TextBox.Properties.EnableClientSideAPI = true;
                                    TextBox.Width = 150;
                                }).GetHtml()
                            </td>
                            <td style="width: 480px" align="right">
                                @Html.DevExpress().Button(Button =>
                                {
                                    Button.Name = "I_Search";
                                    Button.Text = "Search";
                                    Button.Width = 70;
                                    //Button.Height = 25;
                                    Button.ClientSideEvents.Click = "SearchData";
                                    Button.Style.Add("display", "inline-table");
                                    Button.UseSubmitBehavior = true;
                                }).GetHtml()
                                @Html.DevExpress().Button(Button =>
                                {
                                    Button.Name = "I_Clear";
                                    Button.Text = "Clear";
                                    Button.Width = 70;
                                    //Button.Height = 25;
                                    Button.Style.Add("display", "inline-table");
                                    Button.UseSubmitBehavior = true;
                                    Button.ClientSideEvents.Click = "ClearData";
                                }).GetHtml()
                            </td>
                        </tr>
                        <tr style="height:5px">
                        </tr>
                        <tr>
                            <td style="width: 80px">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "Paint Type";
                                }).GetHtml()
                            </td>
                            <td style="width: 170px">
                                @Html.DevExpress().ComboBox(
                                ComboBox =>
                                {
                                    ComboBox.Name = "I_PaintType";
                                    ComboBox.Width = 150;
                                    //ComboBox.SelectedIndex = 0;
                                    ComboBox.Properties.DisplayFormatString = "{0}";
                                    ComboBox.Properties.ValueType = typeof(string);
                                    ComboBox.Properties.Items.Add("ED");
                                    ComboBox.Properties.Items.Add("NE");
                                }).GetHtml()
                            </td>
                        </tr>
                    </table>
                </fieldset>
            </td>
        </tr>
    </table>
    <table>
        <tr style="height:10px">
        </tr>
        <tr>
            <td>
                @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "I_Download";
                    Button.Text = "Download";
                    Button.Width = 70;
                    //Button.Height = 25;
                    Button.ClientSideEvents.Click = "DownloadData";
                    Button.Style.Add("display", "inline-table");
                    Button.UseSubmitBehavior = true;
                }).GetHtml()
            </td>
            <td style="width: 1243px" align="right">
                @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "I_Add";
                    Button.Text = "Add";
                    Button.Width = 70;
                    //Button.Height = 25;
                    Button.Style.Add("display", "inline-table");
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "AddData";
                }).GetHtml()
                @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "I_Edit";
                    Button.Text = "Edit";
                    Button.Width = 70;
                    //Button.Height = 25;
                    Button.Style.Add("display", "inline-table");
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "PrepareEditData";
                }).GetHtml()
                @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "I_Delete";
                    Button.RouteValues = new { Controller = "Part", Action = "SPN311DeleteData" };
                    Button.Text = "Delete";
                    Button.Width = 70;
                    //Button.Height = 25;
                    Button.Style.Add("display", "inline-table");
                    Button.ClientSideEvents.Click = "DeleteData";
                    Button.UseSubmitBehavior = true;;
                }).GetHtml()
            </td>
        </tr>
    </table>
</div>

<div class="content">
    @Html.Partial("_PartialGridView", ViewData["MasterPart"])
</div>